import { $http } from '@/libs/http'
export const activityClocks = (data) => {
  return $http.get('/cms/activityClocks', data)
}
export const getActivityConfigByPay = (data) => {
    return $http.get('/cms/configs/getActivityConfigByPay', data)
  }
  //奖励列表
  export const configAwards = (data) => {
    return $http.get('/cms/configs/configAwards?type='+ data)
  }
  export const addConfigAward = (data) => {
    return $http.postObj('/cms/configs/configAwards/addConfigAward', data)
  }
  export const editConfigAward = (data) => {
    return $http.putObj('/cms/configs/configAwards/editConfigAward', data)
  }
  export const deleteConfigAward = (data) => {
    return $http.delete('/cms/configs/configAwards/deleteConfigAward', data)
  }
  //活动规则
  export const getActivityConfigRule = (data) => {
    return $http.get('/cms/configs/getActivityConfigRule', data)
  }
  export const updateRule = (data) => {
    return $http.putObj('/cms/configs/updateRule', data)
  }
  //缴费配置
  export const update = (data) => {
    return $http.putObj('/cms/configs/update', data)
  }

  //照片列表
  export const activityFilesQueryList = (data) => {
    return $http.get('/cms/activityFiles/queryList', data)
  }
  //审核照片
  export const checkActivityFile = (data) => {
    return $http.putObj('/cms/activityFiles/checkActivityFile', data)
  }
  //日志操作
  export const adminLogs = (data) => {
    return $http.get('/cms/adminLogs', data)
  }
  //角色列表
  export const groups = (data) => {
    return $http.get('/cms/groups', data)
  }
  export const groupsDe = (data) => {
    return $http.get('/cms/groups/'+data)
  }
  export const menus = (data) => {
    return $http.get('/cms/menus', data)
  }
  export const addGroups = (data) => {
    return $http.postObj('/cms/groups', data)
  }
   export const updateGroups = (id,data) => {
    return $http.putObj('/cms/groups/'+id, data)
  }
  export const delGroups = (id) => {
    return $http.delete('/cms/groups/'+id)
  }
  //管理员列表
  export const admins = (data) => {
    return $http.get('/cms/admins', data)
  }
  export const addAdmins = (data) => {
    return $http.postObj('/cms/admins', data)
  }
  export const updateAdmins = (id,data) => {
    return $http.putObj('/cms/admins/'+id, data)
  }
  export const adminsDe = (data) => {
    return $http.get('/cms/admins/'+data)
  }
  export const delAdmins = (id) => {
    return $http.delete('/cms/admins/'+id)
  }

  //活动统计
  export const queryList = (data) => {
    return $http.get('/cms/queryList',data)
  }